# Slouží k získání směrovacích informací pro štítek

## OpenAPI Specification

```yaml
openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /routing:
    get:
      summary: Slouží k získání směrovacích informací pro štítek
      deprecated: false
      description: >-
        Tato metoda slouží k získání informací o tom do jakého směru bude
        zásilka smeřovat.
      tags:
        - API Metody/Routing
        - Routing
      parameters:
        - name: Street
          in: query
          description: 'Ulice Délka: 60'
          required: false
          schema:
            maxLength: 60
            type: string
        - name: City
          in: query
          description: 'Město Délka: 50'
          required: false
          schema:
            maxLength: 50
            type: string
        - name: ZipCode
          in: query
          description: 'PSČ Délka: 10'
          required: false
          schema:
            maxLength: 10
            minLength: 1
            type: string
        - name: Country
          in: query
          description: 'Kód země podle číselníku - /codelist/country Délka: 2'
          required: true
          schema:
            maxLength: 2
            minLength: 1
            type: string
        - name: ProductType
          in: query
          description: Typ produktu
          required: false
          schema:
            minLength: 1
            type: string
        - name: ParcelShopCode
          in: query
          description: 'Kód výdejního místa Délka: 50'
          required: false
          schema:
            maxLength: 50
            minLength: 1
            type: string
        - name: Accept-Language
          in: header
          description: 'Language specification, default language: cs-CZ'
          required: false
          example: ''
          schema:
            type: object
            properties: {}
            x-apidog-orders: []
            x-apidog-ignore-properties: []
        - name: X-Correlation-ID
          in: header
          description: Correlation Id of request
          required: false
          example: ''
          schema:
            type: object
            properties: {}
            x-apidog-orders: []
            x-apidog-ignore-properties: []
        - name: X-LogLevel
          in: header
          description: The forced log level
          required: false
          example: ''
          schema:
            type: object
            properties: {}
            x-apidog-orders: []
            x-apidog-ignore-properties: []
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Eps.Api.MyApi2.Web.Models.Routing.RouteModel
          headers:
            X-Correlation-ID:
              description: Correlation Id of request otherwise id of response
              schema:
                $ref: '#/components/schemas/XCorrelationIdSchema'
          x-apidog-name: OK
        '400':
          description: BadRequest
          content:
            application/problem+json:
              schema:
                type: object
                properties: {}
                x-apidog-orders: []
                x-apidog-ignore-properties: []
          headers: {}
          x-apidog-name: Bad Request
        '401':
          description: Unauthorized
          content:
            application/problem+json:
              schema:
                type: object
                properties: {}
                x-apidog-orders: []
                x-apidog-ignore-properties: []
          headers: {}
          x-apidog-name: Unauthorized
        '403':
          description: Forbidden
          content:
            application/problem+json:
              schema:
                type: object
                properties: {}
                x-apidog-orders: []
                x-apidog-ignore-properties: []
          headers: {}
          x-apidog-name: Forbidden
        '404':
          description: NotFound
          content:
            application/problem+json:
              schema:
                type: object
                properties: {}
                x-apidog-orders: []
                x-apidog-ignore-properties: []
          headers: {}
          x-apidog-name: Record Not Found
        '500':
          description: InternalServerError
          content:
            application/problem+json:
              schema:
                type: object
                properties: {}
                x-apidog-orders: []
                x-apidog-ignore-properties: []
          headers: {}
          x-apidog-name: Server Error
        '503':
          description: ServiceUnavailable
          content:
            application/problem+json:
              schema:
                type: object
                properties: {}
                x-apidog-orders: []
                x-apidog-ignore-properties: []
          headers: {}
          x-apidog-name: Service Unavailable
      security: []
      x-apidog-folder: API Metody/Routing
      x-apidog-status: released
      x-run-in-apidog: https://app.apidog.com/web/project/796227/apis/api-20708622-run
components:
  schemas:
    Eps.Api.MyApi2.Web.Models.Routing.RouteModel:
      type: object
      properties:
        routeCode:
          type: string
          description: Kód trasy
          nullable: true
        depotCode:
          type: string
          description: Kód depa
          nullable: true
        depotPosition:
          type: string
          description: Pozice v depu
          nullable: true
        region:
          type: string
          description: Region
          nullable: true
        secondWave:
          type: boolean
          description: Druhá vlna
      additionalProperties: false
      description: Route model
      x-apidog-orders:
        - routeCode
        - depotCode
        - depotPosition
        - region
        - secondWave
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
  securitySchemes:
    oauth2:
      type: apikey
      description: Get access token from authentication server.
      name: Authorization
      in: header
    Bearer:
      type: jwt
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      scheme: bearer
      bearerFormat: JWT
servers: []
security: []

```
